@import 'styles/colors.scss';
@import 'styles/sizes.scss';
@import 'styles/mixins/screen.scss';

.spinner {
    $self: &;

    animation: 1s spin linear infinite;
    background: transparent;
    border-radius: 50%;
    border-right: 4px solid transparent;
    border-top: 4px solid $c-purple;
    height: 75px;
    margin: $p-gutter auto;
    width: 75px;

    @include screen($screen-simple) {
        height: 150px;
        margin: $p-gutter--large auto;
        width: 150px;
    }

    @keyframes spin {
        from {
          -webkit-transform: rotate(0deg);
          transform: rotate(0deg);
        }
        to {
          -webkit-transform: rotate(360deg);
          transform: rotate(360deg);
        }
    }
}
